#include <QCoreApplication>
#include <QDBusConnection>
#include <QDBusError>
#include <QDebug>
#include "processmanager.h"
#include "processmanagerservice.h"

int main(int argc, char *argv[])
{
    QCoreApplication a(argc, argv);

    ProcessManager processManager;
    QDBusConnection connection = QDBusConnection::systemBus();
    if (!connection.registerService("com.kylin.ProcessManager") ||
            !connection.registerObject("/com/kylin/ProcessManager", &processManager)) {
        qWarning() << "register dbus service failed" << connection.lastError();
    }
    ProcessManagerService service(&processManager);

    return a.exec();
}
