#ifndef SYSTEMRESOURCEWATCHER_H
#define SYSTEMRESOURCEWATCHER_H

#include <QObject>
#include <QJsonObject>
#include <QMap>
#include <QQueue>
#include "resourcewatcher.h"
#include "confmanager.h"

class QTimer;
class SystemResourceWatcher : public ResourceWatcher
{
    Q_OBJECT
public:
    explicit SystemResourceWatcher(QObject *parent = nullptr);

public Q_SLOTS:
    void start();
    void stop();

private Q_SLOTS:
    void detectMemory();

private:
    bool m_stop;
    QTimer *m_timer;
    ConfManager::ResourceUrgencyThrehold m_resourceThrehold;
};

#endif // SYSTEMRESOURCEWATCHER_H
