#include "resourcewatcher.h"

ResourceWatcher::ResourceWatcher(QObject *parent)
    : QObject{parent}
    , m_detectEffectiveNumber(5)
{

}

bool ResourceWatcher::thresholdWarning(int urgency)
{
    m_detectValues.enqueue(urgency);
    if (m_detectValues.size() > m_detectEffectiveNumber) {
        m_detectValues.dequeue();
    }
    if (m_detectValues.size() < m_detectEffectiveNumber) {
        return false;
    }

    int result = m_detectValues.first();
    for (const auto &val : m_detectValues) {
        result &= val;
    }
    return result;    
}
